Loading...
Searching...
No Matches
juce::DocumentWindow::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/windows/juce_DocumentWindow.h

Inheritance diagram for juce::DocumentWindow::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawDocumentWindowTitleBar (DocumentWindow &, Graphics &, int w, int h, int titleSpaceX, int titleSpaceW, const Image *icon, bool drawTitleTextOnLeft)=0
virtual Button * | createDocumentWindowButton (int buttonType)=0
virtual void | positionDocumentWindowButtons (DocumentWindow &, int titleBarX, int titleBarY, int titleBarW, int titleBarH, Button *minimiseButton, Button *maximiseButton, Button *closeButton, bool positionTitleBarButtonsOnLeft)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::DocumentWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawDocumentWindowTitleBar()

virtual void juce::DocumentWindow::LookAndFeelMethods::drawDocumentWindowTitleBar | ( | DocumentWindow & | ,
|  | Graphics & | ,
|  | int | w,
|  | int | h,
|  | int | titleSpaceX,
|  | int | titleSpaceW,
|  | const Image * | icon,
|  | bool | drawTitleTextOnLeft )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::DocumentWindow::DocumentWindow(), h, and w.

## createDocumentWindowButton()

virtual Button * juce::DocumentWindow::LookAndFeelMethods::createDocumentWindowButton | ( | int | buttonType | ) |

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, juce::LookAndFeel_V3, and juce::LookAndFeel_V4.

## positionDocumentWindowButtons()

virtual void juce::DocumentWindow::LookAndFeelMethods::positionDocumentWindowButtons | ( | DocumentWindow & | ,
|  | int | titleBarX,
|  | int | titleBarY,
|  | int | titleBarW,
|  | int | titleBarH,
|  | Button * | minimiseButton,
|  | Button * | maximiseButton,
|  | Button * | closeButton,
|  | bool | positionTitleBarButtonsOnLeft )

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::DocumentWindow::closeButton, juce::DocumentWindow::DocumentWindow(), juce::DocumentWindow::maximiseButton, and juce::DocumentWindow::minimiseButton.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited